Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Shop Recherche
1660 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  PHP ne peut charger l'extension mysql

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

PHP ne peut charger l'extension mysql

n°997886
rkonan
Posté le 04-01-2008 à 15:30:03  profilanswer
 

Bonsoir à tous,
J'ai debian etch et je veux mettre en place un serveur web.
J'ai installé apache2, php5, phpmyadmin.
Après installation de phpmyadmin et que je lance ne navigateur sous windows en point sur le repertoire j'ai ce message: PHP ne peut charger l'extension mysql
Quelqu'un pourait il me donner un coup de main?
Merci

mood
Publicité
Posté le 04-01-2008 à 15:30:03  profilanswer
 

n°997888
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 15:33:10  profilanswer
 

apt-cache search apache2 mysql php


---------------
Ton Antoine commence à me les briser menus !
n°997890
Ik12
Posté le 04-01-2008 à 15:34:25  profilanswer
 

Est-ce que mysql est demarrer?  


---------------
on est au 21 siècle plus person ne écrit correctement sur les forum ni sur msn ni sur les SMS.
n°997896
rkonan
Posté le 04-01-2008 à 15:45:11  profilanswer
 

Merci pour ta reponse; j'ai executé la ligne de commande. je n'ai eu aucun résultat. il n'y a pas de paquet qui contient les 3 modules en même. J'avoue que je ne comprends pas bien ta réponse.

n°997901
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 15:52:42  profilanswer
 

Ma commande t'incitait à chercher le package qui incluait le support de mysql pour php. Le apache2 était en trop probablement, mais cela ne t'interdisait pas de moduler la recherche...

 

=> as tu d'installé php4-mysql ou un package équivalent suivant ton environnement ?

 

Ma réponse était faite pour que tu puisses trouver par toi même ce qui pouvait éventuellement manquer à partir d'un indice qui te débloquerait[:spamafote]

 

ps: ma commande ne cherchait pas un package contenant les 3 modules mais les packages contenant ces mots clés dans leur description.


Message édité par o'gure le 04-01-2008 à 15:54:25

---------------
Ton Antoine commence à me les briser menus !
n°997921
rkonan
Posté le 04-01-2008 à 16:14:11  profilanswer
 

J'ai php4-mysql et php5-mysql installé

n°997922
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 16:16:53  profilanswer
 

Et mysql.so est il décommenté dans le fichier php.ini ?


Message édité par o'gure le 04-01-2008 à 16:17:05

---------------
Ton Antoine commence à me les briser menus !
n°997923
rkonan
Posté le 04-01-2008 à 16:23:27  profilanswer
 

Oui il est décommenté dans /etc/php5/apache2/

n°997927
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 16:28:14  profilanswer
 

et dans /var/log/apache as tu des logs intéressants, probablement dans error.log ?


---------------
Ton Antoine commence à me les briser menus !
n°997934
rkonan
Posté le 04-01-2008 à 16:34:35  profilanswer
 

En voici la dernière partie
squidldap:~# tail -f /var/log/apache2/error.log
[Fri Jan 04 15:18:20 2008] [notice] caught SIGTERM, shutting down
[Fri Jan 04 15:18:25 2008] [notice] mod_python: Creating 8 session mutexes based
 on 150 max processes and 0 max threads.
[Fri Jan 04 15:18:25 2008] [notice] mod_python: using mutex_directory /tmp
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/2006061
3+lfs/msql.so' - /usr/lib/php5/20060613+lfs/msql.so: cannot open shared object f
ile: No such file or directory in Unknown on line 0
[Fri Jan 04 15:18:27 2008] [notice] Apache/2.2.3 (Debian) mod_python/3.2.10 Pyth
on/2.4.4 PHP/5.2.0-8+etch9 mod_perl/2.0.2 Perl/v5.8.8 configured -- resuming nor
mal operations
[Fri Jan 04 15:25:40 2008] [notice] caught SIGTERM, shutting down
[Fri Jan 04 15:25:45 2008] [notice] mod_python: Creating 8 session mutexes based
 on 150 max processes and 0 max threads.
[Fri Jan 04 15:25:45 2008] [notice] mod_python: using mutex_directory /tmp
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/2006061
3+lfs/msql.so' - /usr/lib/php5/20060613+lfs/msql.so: cannot open shared object f
ile: No such file or directory in Unknown on line 0
[Fri Jan 04 15:25:46 2008] [notice] Apache/2.2.3 (Debian) mod_python/3.2.10 Pyth
on/2.4.4 PHP/5.2.0-8+etch9 mod_perl/2.0.2 Perl/v5.8.8 configured -- resuming nor
mal operations

mood
Publicité
Posté le 04-01-2008 à 16:34:35  profilanswer
 

n°997940
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 16:39:19  profilanswer
 

A priori il est "mal" installé

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php5/2006061
3+lfs/msql.so' - /usr/lib/php5/20060613+lfs/msql.so: cannot open shared object f
ile: No such file or directory in Unknown on line


Essaye de le réinstaller et vérifie bien que le fichier est à sa place.


---------------
Ton Antoine commence à me les briser menus !
n°997942
zecrazytux
Posté le 04-01-2008 à 16:40:59  profilanswer
 

20060613+lfs
 
:o ?


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°997955
rkonan
Posté le 04-01-2008 à 16:56:51  profilanswer
 

J'ai réinstallé mais toujour rien, le fichier '/usr/lib/php5/2006061  
3+lfs/msql.so est bien à sa place

n°997960
o'gure
Modérateur
Multi grognon de B_L
Posté le 04-01-2008 à 17:01:57  profilanswer
 

zecrazytux a écrit :

20060613+lfs
 
:o ?


http://packages.debian.org/etch/php5-mysql

Citation :


phpapi-20060613+lfs [not alpha, amd64, ia64]
    virtual package provided by libapache-mod-php5, libapache2-mod-php5, php5-cgi, php5-cli


---------------
Ton Antoine commence à me les briser menus !
n°997972
zecrazytux
Posté le 04-01-2008 à 17:07:38  profilanswer
 

o'gure a écrit :


http://packages.debian.org/etch/php5-mysql

Citation :


phpapi-20060613+lfs [not alpha, amd64, ia64]
    virtual package provided by libapache-mod-php5, libapache2-mod-php5, php5-cgi, php5-cli



 
qu'est ce qu'il fou là ce paquet virtuel ?!  
m'enfin la flemme de chercher :D


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°998005
rkonan
Posté le 04-01-2008 à 18:45:57  profilanswer
 

Merci à vous tous. Mon problème est résolu après réinstation de php5.


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  PHP ne peut charger l'extension mysql

 

Sujets relatifs
Unix - commande ATInstaller PHP, Apache et Mysql5
Gerer accès à un serveur via PAM-LDAP+MYSQL?[Postfix] probleme d'acces à MySQL
recupere les bases de données mysql[Apache] Chargement module PHP
Postfix/mysqlServeur Debian : config apache php4 mysql postfix... ?
Antispam avec postfix(mysql) amavis et une centaine d'utilisateurs[license] mysql ?
Plus de sujets relatifs à : PHP ne peut charger l'extension mysql


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR